summaryrefslogtreecommitdiffstats
path: root/ufo
diff options
context:
space:
mode:
Diffstat (limited to 'ufo')
-rwxr-xr-xufo/unittests.sh (renamed from ufo/.unittests)5
1 files changed, 3 insertions, 2 deletions
diff --git a/ufo/.unittests b/ufo/unittests.sh
index 2cee10be5..a02be7796 100755
--- a/ufo/.unittests
+++ b/ufo/unittests.sh
@@ -1,6 +1,7 @@
#!/bin/bash
-cd test/unit
+cd $(dirname $0)/test/unit
nosetests --exe --with-coverage --cover-package gluster --cover-erase $@
+saved_status=$?
rm -f .coverage
-cd -
+exit $saved_status